Show Posts

This section allows you to view all posts made by this member. Note that you can only see posts made in areas you currently have access to.


Messages - Mathias

Pages: 1 ... 8 9 [10]
136
Setup & Installation / Re: driver trouble with Warp 3
« on: May 18, 2014, 04:51:37 pm »
You need 3.3.5 installed before you can install any newer GCC versions, don't know if it'll work on V3 as no-one tests.

Yup, working fine. :)

137
Setup & Installation / Re: driver trouble with Warp 3
« on: May 18, 2014, 04:35:56 pm »
sounds cool to me :)

138
Setup & Installation / Re: driver trouble with Warp 3
« on: May 18, 2014, 04:10:19 pm »
Yep, otherwise I could understand why people aren't staying in the community for long, if it is forbidden to ask questions out of curiosity.
I am a newbe when it comes to OS/2. I don't know much, so I do ask. If that hurts your feelings, I am sorry. Wasn't my intention. I can assure you, nothing was meant as an offense from my side m8.
Please accept my apology.

Mathias

139
Setup & Installation / Re: driver trouble with Warp 3
« on: May 18, 2014, 04:36:39 am »
Quote from: Boris
The thing is, we're trying to make OS/2 usable for solving actual tasks of nowadays. You have a different goal; you want to have fun with Warp 3, which you're not gonna use as a primary OS... I suppose, never. There's nothing bad in this, but the situations differ slightly. ;D

Well, it used to be my primary OS in the 90ies, before Win95 came and completely deleted C:\OS2, while letting everything else on C:\.
I did the usual things with OS/2, a 13 year old does... getting known to what it can do if I click here and there, learn how to launch games, find out how to render my dad's PC usage restrictions useless, try out and learn the basics of QBasic, QuickBasic and PMREXX, also CoBOL.
Later I found out about Linux and C++, and also that I can write things, when I miss a tool, or the existing ones don't meet my requirements. I did this on Windows and on Linux also, until I made this hobby my job.
Of course I planned to write things that I miss for OS/2 Warp 3 also, if necessary. The thing I usually do. Miss something? Find out how and write it. Time and efforts never were an issue.

But your recent overview about the situation is.. quite disappointing. Do developers really only do what they want? Didn't they team up to achieve the higher goal?
Like for instance build some platform that is above all the different libs, kernels and dlls, which all new tools depend on. Instead of that, currently people are developing things for the numerous libs and dlls, that need to be adapted to the existing OSes over and over again.
Microsoft did something good with .NET. - A framework, that makes applications written for that framework, run on all Windows installations that are supported by .NET. - And these are quite a few. Would not that be a model for OS/2 also?

This can, of course, not make up for the lack of drivers for current hardware, or missing kernel modules. Absolutely right. But that is a problem, that most communities suffer..... industry support for "free" software is quite poor, as the industries' driver is money, not ideals.


So.. to return to the initial quote: Yes, I planned to have a look at Warp 3 again, together with my newly refurbished 486er, as they already were a good couple decades ago. No further goals planned.
I would have never thought, that people still actively use Warp 4.xx or ECS as their primary operating system. I can almost imagine how much "fun" it must be to look for a NIC driver or modern graphics card.
Had good fun already to get my non-connect Warp 3 into a usable status, thanks to you and the other good people in this thread! Installed numerous libs and dlls, fiddled here and there to make Z work, which requires Y, which requires X and so on.

But.. to make Warp 4.xx or ECS to run on recent hardware is a completely different level than this and developing some neat tools for this and that. - This requires a wide base of developers dedicated to their specialised field. How can this be done? And how did it work until now? Reading articles, I found out, rights on Warp are still with IBM and the owner of ECS have changed two or three times?
Not a good development at all, also as the source codes aren't open..

Might be indeed easier to go for something from-scratch.. based on free software that already exists. - Which brings me to the question... what is the motivation to keep using OS/2 as the primary operating system, if not "for fun" (to see how far it can get)? - Do you use software, that only runs on OS/2, which has not been ported to anything else, or.. why all this?



Quote from: Boris
No general modern mainstream code editors or IDEs.

Oh! True! I was looking for such a thing already. Hmm.. too bad to hear there are none.
So a text editor and gcc & emx is THE way atm?
Speaking of... the vanilla text editors on Warp3 appear to cut a line after 256th character, so I switched over to vi(le), which does the job. Can you recomment GUI text editors? (If possible even with syntax hilightning.. as the file viewer in File Commander/2 does)


Quote from: Boris
Many other things were done by the community; okay, with sponsoring.

I am completely fine with that sponsoring model, as long as it leads to quality software, that eases people's everyday software needs. Already thought about buying the File Commander/2, as this feels like a solid tool for everyday work! - Until it launched into a memory exception, and I found out by comparing, that an empty file is the culprit. Deleted it... and it kept launching again. An author cannot allow such bugs in paid software. Sorry, but this is not on release state yet. Even it is a port to OS/2, it needs to be tested before release. :-]
Until now this has not yet occured again.. but I am keen to see which surprise will there be tomorrow.. =)


Quote from: Boris
Strange issue. Please try this:
http://rpm.netlabs.org/release/00/zip/coreutils-8_6-10_oc00.zip
This package runs perfectly on ACP2 and eCS 2.1.
And I don't have gcc445 shared runtime library installed in my systems.

Oho! I'll give this a go shortly. - Thanks! :)

140
Setup & Installation / Re: driver trouble with Warp 3
« on: May 17, 2014, 11:40:03 pm »
File Commander/2 and openssh working ~ :3
Great stuff! Thanks for the info!

I have one thing, that I somehow cannot get to work yet, which is GNU Coreutils 8.8. Besides that issue, the machine is fine now. : )
Coreutils 8.8 appears to want GCC 4.4.5 (gcc445.dll) to make the executables work. I have found some GCC versions, but the closest one only has gcc446.dll. Is there a way to make a symlink to make this gcc446.dll look like gcc445.dll? Or is this a rather bad idea, and I need the exact gcc445.dll?

I have searched the web and found stuff on hobbes and on [http://os2ports.smedley.id.au/index.php?page=gcc44]. Still, the right version is not among them. Does anybody know another source for ported GCC versions? oo*

141
Setup & Installation / Re: driver trouble with Warp 3
« on: May 17, 2014, 05:40:10 pm »
Boris, I got your point. All I was saying is that I am in love with Warp 3, and therefore want to see applications running under Warp 3. In my ignorance I did not care about Warp 1 & 2. :o Sorry for that.
Also I tried to tell you, that "love" is not a rational thing at all. You do love something/somebody because you do. You have your reasons.
Today, building an application for any OS/2 is not rational by itself, as there are more modern operating systems around. A rational developer uses his time and energy to build applications for the OS that >95% of people use world wide. So, why do some people care for OS/2 at all? - See? No rational reason...

Your position is to get all the possible developer ressources to work on modern applications on the latest Warp or ECS. - Sure, if you do not use an older OS, I can perfectly understand that.
My position is to get to a point, where it is completely irrelevant which Warp/ECS you use. Might be naive to think like this, but in theory everything should be achiveable by just developing and installing more DLLs. In the end each applications runs as good on Warp 2 as on ECS. - Cool in my opionion. Everybody has his favourite OS running and everybody can use all applications. - Complete freedom. :3

In the moment, people have to have the latest Warp or ECS in order to use up2date applications. That is not freedom, but dictatorship: Developers tell me what OS I need to use.

Couldn't developers build a framework, that runs on all Warp versions and ECS? I suppose your answer will be "time and efforts" ; ) but if things continue like this, the OS/2 community will lose more and more family members, as Warp 2.x users might not want to get ECS, and therefore come to a rational decision to switch over to linux or WINDOWS completely in the end. :/
Taking everybody along and support them with a "framework" that runs on each OS/2/ECS would do the trick most likely, to keep them all happy.


--> From your point of view, what would be standing in the way for such a "framework", assuming time and efforts were not a problem?

142
Setup & Installation / Re: driver trouble with Warp 3
« on: May 08, 2014, 09:09:29 pm »
^o^/ Ahoi!

Quote from: Boris
The Warp 3's kernel lacks support of KEE, so you are not able to run the modern drivers.

Ha! So that is the reason why the VirtualBox drivers cannot be loaded. I have seen this call to KEE when Warp 3 boots, and the drivers are included into config.sys.
Oho! Libc? Reminds me on Linux! So people did port libc to OS/2? Not bad! oo* - Maybe one step further to a free Warp one day? : )
Bad thing with the kernel issue though.. :x


Quote from: Boris
almost no one needs that, and it would be not rational to spend resources on that...

Tehehe.. you've got a point there. It's 20 years old, but still.. people use Warp 4 also, which is 14-15 years old now. - Almost nobody in the world knows what OS/2 is (and was).. so going with "rationality" there would be no new OS/2 software at all anymore. - Imho as long as there are enthustiasts around, who use all kinds of Warp, there's always somebody to make happy by relaeasing software dedicated to their dead operating system. *g*
For instance myself.. Warp 3 is an important OS of my childhood. Seeing this these days brings back memories. For me Warp 4 is.. hm.. yet another window manager. - Like the looks better in Warp 3 somehow.
I have not yet found a window manager for Warp 4 or Linux to look like Warp 3... ; )

Also.. enthustiasts keep their old computers for.. no rational reason. What are they going to use their computer with, if not with an operating system of that era. - Maintaining the hardware is as important as maintaining the software.
In the end, I suppose it's simply a lack of man power for the libc maintainers?
I'm in to help where I can, porting and testing newer libc releases to Warp 3. o/


Quote from: Boris
Firefox 10 (and the corresponding Seamonkey version) is a VERY heavy application. It will run insufferably slow (I'm talking about minutes just to start up) on a Pentium 333 with 256 MiB RAM.

Uff! Now that you mention it.. oh dear.. *g* my 486 has 24 million bytes of RAM only. - So no chance for FF or even SM.
But the Links browser is an excellent piece of software. Using this via SSH from work to surf at home. (Yes with this I do not surf at work.. technically.. xD) - Using this to browse for files and downloads. - It's got tabs and frames, source code display and the lot. - Great to hear, this has been ported!!


Quote from: Fahrvenugen
you can always install the last released version of WebEX (IBM's browser)

=) Going to give this a go also! - Always interesting how things were back then. - That is new for me, as we havn't had internet access back then. - Just modems and BBSes to chat and mail with. :^^ (That were times.. hrhr~)

Also checking hobbes for things like ssh and mc.. : )

143
Setup & Installation / Re: driver trouble with Warp 3
« on: May 07, 2014, 10:30:20 pm »
Hello again ^^/

I also did a reinstall in a fresh VBox.
Installed...
1) Warp 3 on HPFS
2) configured SB16 (now working!)
2) "IBM Internet connection" from the Warp3 BonusPak CD
3) Fixpack 40DE for Warp3
4) SNAP drivers --> woah.. what a dream! ~

Then I did a shutdown, and created a VBOX snapshot.

Right after this, I read through the new articles in this thread ... and couldn't find a path \CID on either my Warp 3 Install CD nor the BonusPak CD. - But I found an MPTS on the Warp 4.52 CD1 in \CID\SERVER\MPTS, which I have installed on Warp 3..... that even works!! oo*
Now inetver says I've got:
Code: [Select]
[C:\]inetver
Version numbers of TCP/IP protocol drivers:
  SOCKET.SYS: 6.3000
  AFOS2.SYS: 6.3000
  AFINET.SYS: 6.3001

ping, arp, nslookup, etc, working still. Also DNS resolution does work.
Interestingly I've got ftp.exe now too, telnet, gopher (haha xD), and can load stuff over the network. *_*

Next thing to try is tab completion and Firefox, or even better Seamonkey, since that has a WYSIWYG editor included, and mail also. Question is though, if there is a Seamonkey for OS/2, which runs with Warp3.
A general question at this moment... is there such a thing as specific Warp4 software, or does all OS/2 software generally run on Warp 3 also?

Guys, you are the best indeed! - BIG thanks! ^__^

144
Setup & Installation / Re: driver trouble with Warp 3
« on: May 06, 2014, 05:51:41 pm »
Whoa, an auto-installer would be convenient indeed! - Still, everything that is automated takes knowledge away, that would else be required to install things manually. Not sure if that would be good, but deeeefinitely a help to automatically extract all these disk images atleast, as Warp 3 appears to lack file name auto-complete via the TAB key, which I grew used to over the years.... *g*

Mhm.. not sure which version of Warp 3 I've got. Just that it is "Warp 3 Release 8.162", according to ver /r on the OS/2 prompt. - This is when it is freshly installed from the original CD. Out of the BonusPak-CD, I have only installed the "IBM Internet Connection for OS/2". - That is how TCP came on my machine.
I still lack commands like ftp or telnet.. or a browser though.
Ping, arp and the like does work, even DNS names can be used.

Anyway. After applying the FixPak 40 for Warp3 "ver /r" does now return: "Warp 3 Release 8.264"


Now here is the output of the syslevel command (I better post everything, might come in handy for further diagnosis)
Code: [Select]
C:\OS2\INSTALL\SYSLEVEL.SDS
Distributed SOM Framework
Version 2.01.6 Component ID 562222700
Current CSD-Level: SM20012
Previous CSD-Level: none

C:\OS2\INSTALL\SYSLEVEL.SEM
SOM Event Management Framework
Version 2.01.6 Component ID 562222700
Current CSD-Level: SM20012
Previous CSD-Level: none

C:\OS2\INSTALL\SYSLEVEL.SUT
SOMobjects Utility  Classes
Version 2.01.6 Component ID 562222700
Current CSD-Level: SM20012
Previous CSD-Level: none

C:\OS2\INSTALL\SYSLEVEL.SIR
SOMobjects Interface Repository Framework
Version 2.01.6 Component ID 562222700
Current CSD-Level: SM20012
Previous CSD-Level: none

C:\OS2\INSTALL\SYSLEVEL.SRK
SOM Run-time Kernel
Version 2.01.6 Component ID 562222700
Current CSD-Level: SM20012
Previous CSD-Level: none

C:\OS2\INSTALL\SYSLEVEL.GRE
IBM OS/2 32-Bit Graphics Support
Version 3.00 Component ID 562260100
Type W
Current CSD-Level: XRG3000
Previous CSD-Level: XRG3000

C:\OS2\INSTALL\SYSLEVEL.OS2
IBM OS/2 Operating System
Version 3.00 Component ID 562260100
Type W
Current CSD-Level: XRGW040
Previous CSD-Level: XRG3000

C:\OS2\INSTALL\SYSLEVEL.SCT
SOMobjects Collection Classes
Version 2.01.6 Component ID 562222700
Current CSD-Level: SM20012
Previous CSD-Level: none

C:\OS2\INSTALL\SYSLEVEL.FPK
OS/2 Warp 3 Service Level
Version 1.00 Component ID 566933010
Type: FixPak
Current CSD-Level: XRGW040
Previous CSD-Level: XRGW040

C:\OS2IMAGE\DISK_1\SYSLEVEL.OS2
IBM OS/2 Base Operating System
Version 3.00 Component ID 562260100
Type W
Current CSD-Level: XRGW040
Previous CSD-Level: XRG3000

C:\IBMCOM\SYSLEVEL.TRP
IBM OS/2 LAN Adapter and Protocol Support
Version 5.10 Component ID 5639A5700
Current CSD-Level: WR08400
Previous CSD-Level: WR08210

C:\MPTN\SYSLEVEL.DHC
IBM OS/2 Dynamic Host Configuration Protocol Services
Version 4.00 Component ID 562290901
Current CSD-Level: WR08400
Previous CSD-Level: WR08210

C:\MPTN\SYSLEVEL.MPT
IBM OS/2 TCP/IP Stack
Version 5.10 Component ID 5639B1700
Current CSD-Level: WR08400
Previous CSD-Level: WR08210

C:\IBMI18N\SYSLEVEL.I18
IBM I18N Toolkit
Version 1.05 Component ID 5639A5700
Current CSD-Level: WR08400
Previous CSD-Level: WR08210

C:\MMOS2\INSTALL\SYSLEVEL.MPM
IBM Multimedia Presentation Manager/2
Version 3.00 Component ID 562137400
Current CSD-Level: XRGW040
Previous CSD-Level: XRG3000

Is that of any help?

145
Setup & Installation / Re: driver trouble with Warp 3
« on: May 06, 2014, 03:27:00 pm »
current status is:

FixPak 40 for Warp3 DE: successfully applied!
updating TCP/IP with fixpak UNG0959: missing connect package --> failed


Details:
The fixpack installation replaced the following things:

Code: [Select]
C:\MMOS2\INSTALL\SYSLEVEL.MPM XRG3000 - the "IBM Multimedia presentation Manager/2"
C:\OS2IMAGE\DISK_1\SYSLEVEL.OS2 XRG3000 - the "IBM OS/2 Base operating system"
C:\OS2\INSTALL\SYSLEVEL.OS2 XRG3000 - the "IBM OS/2 Base operating system"

[_] Advanced  [X] Timestamp Log  [_] Replace newer

--> GO

was following the progress in the full screen patching screen, as fixtool recommended.
Suddenly everything was closed, and an error messagebox appeard, saying:
Code: [Select]
"Install failed, RC 1. Check C:\OS2\INSTALL\Service.Log for information"
[OK]

Looking into that Service.Log file, I can see it replaced maany many files, some were already up2date, most were not.
At the end of the file, it says:
Code: [Select]
Corrective service has been successfully applied. Ended, RC 1
Install failed, RC 1. Check C:\OS2\INSTALL\Service.Log for information

so.. did it finish successfully or did it not?! ;-) - Anyway.. I think it was successful, as a search in the Log file brought up, that only patching the windows integration in OS2 did not work. - But that is ok, as it is not installed or needed.)

Did a proper shutdown and rebooted the machine.
Everything still working. No change in optics yet.
Shutdown. Creating a VBox snapshot. Starting again.

--> Continuing the process, and updating TCP/IP with fixpak UNG0959.
Brought up an error message:
Code: [Select]
No serviceable products found on your harddisk. No match between CSD Level and COMPID of any product found by SYSLEVEL command and those supported by this FixPak.

--> appears like I need to install that connect package..... MPTS it was, right? --> checking this out..

Yeah, I think IBM and those who bought the license for OS/2 cannot make profit from OS/2 Warp 3 still. It's not like that I am trying to fiddle with their current eComStation, but with an operating system, that has already died 20 years ago. So, why not upgrade it to full a full scale usable product.. : )

146
Setup & Installation / Re: driver trouble with Warp 3
« on: May 06, 2014, 12:19:44 pm »
WOW! : )

Many thanks! You guys are the best! Currently reading through everything, going to take action afterwards.


Fahrvenugen: This version of Warp 3 was included with my PC, that I got back then. (Was (and still is) my first PC.) - Looking onto the OS2 package, I cannot find anything saying "connect". So I suppose it is the earlier version with the dialup application in the "Bonus Pak".

Running "inetver" on the OS2 prompt, returns "Inet Version: 4.00e". - Yup without the connect appendix.

Most interesting thing for me is now, how to get all these patches and fixes into my Warp Vbox, as the VBox drivers with file integration to the host system do not work (yet).
Is there anything like wget or something to load files via the (already working) network via TCP?

If everything fails, I download and prepare all the files in linux, run mkisofs and mount the blob as a CD into Warp3... hmm.. could work. : )

147
Setup & Installation / Re: driver trouble with Warp 3
« on: May 06, 2014, 03:08:48 am »
Wow! That was fast! :)
Thanks a lot Martin! I will try this out immediately after getting up later on. :) - Got late (03am already >_<) and I need sleep - Lucky me, got a free day hrhr

I'll report back with the results o/

Mathias

148
Setup & Installation / driver trouble with Warp 3
« on: May 06, 2014, 02:19:02 am »
Hi ^^/ name's Mathias; 33 years - I'm new to the site and forums.

I was running Warp 3 (Release 8.162) in the 90ies on a 486 DX2-66 using an "ATI Mach 64" as graphics card, which is supported by default in Warp 3.
Back then I fell in love with Warp 3 and was using it mostly to run DOS games (as memmaker was no longer regquired with Warp 3). - Also had a look into PMREXX, CoBOL and some more.
The look and feel was intuitive and was just lovely. - And I've missed it!!

Now I had the chance to rebuild my 486er on hardware basis. - THAT works... just the ATI Mach 64 does not anymore. :(
So.. for the time being .. until I have ebay'ed another Mach64, I thought .. why not try Warp 3 with Oracle's VirtualBox? - Said, done.

Warp 3 booted nicely in 640x480x16 mode using the default VGA driver. Keyboard mapping, etc everything works. - Even network with TCP! \o/

Now, for starters, I'd like to have some resolution like 1024x768 or greater if possible. - So, there is an OS/2 driver pack included with VirtualBox - Cool! Following the brief instructions ... it failed to work. On boot, Warp 3 tells me that it failed to load the shortly replaced gengradd.dll. - Continued booting .. and it looked the same as before: 640x480x16. :o

So, the VBox driver doesn't work. In general it does not say which version of Warp is supported in the first place. Do they mean 2? 3? 4?
Perhaps there is an alternative, that I don't know! But maybe YOU do? ^^*

Also! I have heard about Warp Fix Packs. I have, so far, not installed any, also not back then.
As there is a whole lot of them [http://hobbes.nmsu.edu/h-browse.php?dir=/pub/os2/system/patches/fixpack/warp_3], I've got a few questions:
1) Does installing such a fix pack help with my problem?
2) Are ALL these files required, or just the latest one?
3) What does all the stuff mean "OS/2 Warp 3.x family FixPack XR_W010 - Disk 2" and "OS/2 Warp 3.x family FixPack XR_W007 - Disk 1" - quite confusing... which do I need @_@
4) Are these compatible with the german localized Warp 3 version? - And if not, is there another source for these?

So far.. - Already big thanks for reading all this! And maybe YOU can even answer some of these questions. - And pleease... I am not new to Warp, but a newbie, when it comes to techical interna. - I DO want to learn and to read instruction manuals! Just.. when it gets too confusing, I rather ask.. oo;

Hope you can help. - In case you need more info (which is likely the case), please ask. : )

~ Warp ~

Pages: 1 ... 8 9 [10]